lexik_jwt_authentication:
    secret_key: '%env(resolve:JWT_SECRET_KEY)%'
    public_key: '%env(resolve:JWT_PUBLIC_KEY)%'
    pass_phrase: '%env(JWT_PASSPHRASE)%'
    token_ttl: 864000

    # token extraction settings
    token_extractors:
        authorization_header: # check token in Authorization Header
            enabled: true
            prefix:  Bearer

services:
    opentalent.event.authentication_success_listener:
        class: App\EventListener\JWT\AuthenticationSuccessListener
        tags:
            - { name: kernel.event_listener, event: lexik_jwt_authentication.on_authentication_success, method: onAuthenticationSuccessResponse }
